Package: groovy.util

## [Java] Class ObservableListIterator

- groovy.util.ObservableList.ObservableListIterator

- All Implemented Interfaces and Traits:
    ListIterator

      protected class ObservableList.ObservableListIterator
      extends ObservableIterator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableList.ObservableListIterator (ListIterator iterDelegate, int index)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(Object o)`
    `` | `ListIterator` | `getListIterator()`
    `` | `boolean` | `hasPrevious()`
    `` | `int` | `nextIndex()`
    `` | `Object` | `previous()`
    `` | `int` | `previousIndex()`
    `` | `void` | `set(Object o)`

- - ### Constructor Detail

    - #### public ObservableList.ObservableListIterator(ListIterator iterDelegate, int index)

  - ### Method Detail

    - #### public void add(Object o)

    - #### public ListIterator getListIterator()

    - #### public boolean hasPrevious()

    - #### public int nextIndex()

    - #### public Object previous()

    - #### public int previousIndex()

    - #### public void set(Object o)